Sets the sarprop step error shift

- « fann_set_rprop_increase_factor

- fann_set_sarprop_step_error_threshold_factor »

- PHP Manual
- Fann Functions
- Sets the sarprop step error shift

# fann_set_sarprop_step_error_shift

(PECL fann >= 1.0.0)

fann_set_sarprop_step_error_shift — Sets the sarprop step error shift

### Description

fann_set_sarprop_step_error_shift(resource `$ann`, float `$sarprop_step_error_shift`): bool

Sets the sarprop step error shift.

### Parameters

`ann`

  Neural network resource.

`sarprop_step_error_shift`

  The sarprop step error shift.

### Return Values

Returns `true` on success, or `false` otherwise.

### Notes

> Note:

> This function is only available if the fann extension has been build against libfann >= 2.2.

### See Also

- fann_get_sarprop_step_error_shift() - Returns the sarprop step error shift